$(function() {
  $('.topAdvanced-navbar').click(function(event){
    if($('.topAdvanced-dropdown').hasClass('open')){
      $('.topAdvanced-overlay').hide();
      $('.topAdvanced-search').removeAttr('disabled');
    }
  })

  $('.topAdvanced-search').focus(function(){
  	$('.topAdvanced-logoWrapper').hide();
  	$('.topAdvanced-browseWrapper').hide();
  	$('.topAdvanced-signinWrapper').hide();
  	$('.topAdvanced-searchWrapper').removeClass('col-md-2');
  	$('.topAdvanced-searchWrapper').removeClass('col-md-offset-2');
  	$('.topAdvanced-searchWrapper').addClass('col-md-offset-4 col-md-4');
  	$('.topAdvanced-searchCloseWrapper').show();
    $('.topAdvanced-overlay').show();
  });

  $('.topAdvanced-searchClose').click(function(){
  	$('.topAdvanced-logoWrapper').show();
  	$('.topAdvanced-browseWrapper').show();
  	$('.topAdvanced-signinWrapper').show();
  	$('.topAdvanced-searchWrapper').removeClass('col-md-offset-4');
  	$('.topAdvanced-searchWrapper').removeClass('col-md-4');
  	$('.topAdvanced-searchWrapper').addClass('col-md-2');
  	$('.topAdvanced-searchWrapper').addClass('col-md-offset-2');
  	$('.topAdvanced-searchCloseWrapper').hide();
    $('.topAdvanced-overlay').hide();
  });

  $('.topAdvanced-dropdown').click(function(){
    $('.topAdvanced-overlay').toggle();
    $('.topAdvanced-search').attr('disabled', 'disabled');
  })

  $('.topAdvanced-overlay').click(function(){
    if($('.topAdvanced-dropdown').hasClass('open')){
      $('.topAdvanced-overlay').hide();
      $('.topAdvanced-search').removeAttr('disabled');  
    }
  })

  $("#topAdvanced-search").submit(function(event){
    event.preventDefault();
    window.location.href = "/search/" + $('#topAdvanced-searchInput').val();
  })
});
